Package io.vertx.rxjava.ext.consul

## Class WatchResult<T>

- java.lang.Object
- - io.vertx.rxjava.ext.consul.WatchResult<T>

-     public class WatchResult<T>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<WatchResult>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WatchResult​(WatchResult delegate)` |
    `WatchResult​(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `cause()` | A Throwable describing failure.
    `boolean` | `equals​(Object o)` |
    `boolean` | `failed()` | Did it fail?
    `WatchResult` | `getDelegate()` |
    `int` | `hashCode()` |
    `static <T> WatchResult<T>` | `newInstance​(WatchResult arg)` |
    `static <T> WatchResult<T>` | `newInstance​(WatchResult arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)` |
    `T` | `nextResult()` | The next result of the operation.
    `T` | `prevResult()` | The previous result of the operation.
    `boolean` | `succeeded()` | Did it succeed?
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<WatchResult> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### WatchResult

          public WatchResult​(WatchResult delegate)

    - #### WatchResult

          public WatchResult​(Object delegate,
                             io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public WatchResult getDelegate()

    - #### prevResult

          public T prevResult()

      The previous result of the operation.
      Returns:
        the previous result.

    - #### nextResult

          public T nextResult()

      The next result of the operation. This will be null if the operation failed.
      Returns:
        the next result or null if the operation failed.

    - #### cause

          public Throwable cause()

      A Throwable describing failure. This will be null if the operation succeeded.
      Returns:
        the cause or null if the operation succeeded.

    - #### succeeded

          public boolean succeeded()

      Did it succeed?
      Returns:
        true if it succeded or false otherwise

    - #### failed

          public boolean failed()

      Did it fail?
      Returns:
        true if it failed or false otherwise

    - #### newInstance

          public static <T> WatchResult<T> newInstance​(WatchResult arg)

    - #### newInstance

          public static <T> WatchResult<T> newInstance​(WatchResult arg,
                                                       io.vertx.lang.rx.TypeArg<T> __typeArg_T)